## org.eclipse.emf.transaction.impl
Class TransactionalEditingDomainImpl.FactoryImpl

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl

All Implemented Interfaces:
  TransactionalEditingDomain.Factory

Enclosing class:
  TransactionalEditingDomainImpl

    public static class TransactionalEditingDomainImpl.FactoryImpl

extends Object
implements TransactionalEditingDomain.Factory

Default implementation of a transaction editing domain factory. This class creates `TransactionalEditingDomainImpl`s and provides the mapping of resource sets to editing domain instances.

Clients that implement their own factory can plug in to the mapping of resource sets to editing domains using the static instance's `mapResourceSet(TransactionalEditingDomain)` and `unmapResourceSet(TransactionalEditingDomain)` methods by casting the `TransactionalEditingDomain.Factory#INSTANCE` to the `TransactionalEditingDomainImpl.FactoryImpl` type.

Field Summary

Fields inherited from interface org.eclipse.emf.transaction.TransactionalEditingDomain.Factory
`INSTANCE`

Constructor Summary
`TransactionalEditingDomainImpl.FactoryImpl()`

Method Summary
`TransactionalEditingDomain` `createEditingDomain()` Creates an editing domain with a default resource set implementation.
`TransactionalEditingDomain` `createEditingDomain(ResourceSet rset)` Creates a new transactional editing domain on the specified resource set.
`TransactionalEditingDomain` `getEditingDomain(ResourceSet rset)` Obtains the transactional editing domain (if any) that is currently managing the specified resource set.
`void` `mapResourceSet(TransactionalEditingDomain domain)` Adds the specified editing domain to the global reverse mapping of resource sets.
`void` `unmapResourceSet(TransactionalEditingDomain domain)` Removes the specified editing domain from the global reverse mapping of resource sets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalEditingDomainImpl.FactoryImpl

    public TransactionalEditingDomainImpl.FactoryImpl()

Method Detail

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain()

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Creates an editing domain with a default resource set implementation.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Returns:
    the new editing domain

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(ResourceSet rset)

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Creates a new transactional editing domain on the specified resource set. Although it is possible to create multiple editing domains on the same resource set, this would rarely be useful.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Parameters:
    `rset` - the resource set
  Returns:
    a new editing domain on the supplied resource set

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain(ResourceSet rset)

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Obtains the transactional editing domain (if any) that is currently managing the specified resource set.

  Specified by:
    `getEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Parameters:
    `rset` - a resource set
  Returns:
    its editing domain, or `null` if it is not managed by any `TransactionalEditingDomain`

### mapResourceSet

    public void mapResourceSet(TransactionalEditingDomain domain)

  Adds the specified editing domain to the global reverse mapping of resource sets.

  Parameters:
    `domain` - the editing domain to add to the resource set mapping

### unmapResourceSet

    public void unmapResourceSet(TransactionalEditingDomain domain)

  Removes the specified editing domain from the global reverse mapping of resource sets.

  Parameters:
    `domain` - the editing domain to remove from the resource set mapping

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.